<?php
//Check to see if PHP-GTK has been loaded correctly.
if (!class_exists('gtk')) {
    die("PHP-GTK has not been loaded in your php.ini file.");
}

//Create a new window and set it's title to "Hello Re-CycledAir".
$window = new GtkWindow();
$window->set_title('Hello Re-CycledAir');

//Tell GTK to quit the main loop when we close the window.  This
//is what allows the program to exit fully.
$window->connect_simple('destroy', array('gtk', 'main_quit'));
 
//Add an OK button, connect it to the ok function, and
//then add it to the window.
$buttonOK = new GtkButton("_OK"); 
$buttonOK->connect_simple('clicked', 'ok', $window); 
$window->add($buttonOK);

//Make this window visible.
$window->show_all();

//Start the main loop.
Gtk::main();

function ok(GtkWindow $window) {
	$message = "Hello again!";
	
	//Create message dialog.
	$dialog = new GtkMessageDialog($window, Gtk::DIALOG_MODAL,
		Gtk::MESSAGE_ERROR, Gtk::BUTTONS_OK, $$message);
	$dialog->set_markup(
		"You have received this message: \r\n"
		. "<span foreground='red'>" . $message . "</span>"
	);
	
	//Run the dialog
	$dialog->run();
	$dialog->destroy();

	//Destroy the original window.
	$window->destroy();
}

?>